## python-sshoot 1.4.1

=== requirements.txt ===
# Dependencies are specified in setup.py
-e .
-e .[testing]

=== debian/changelog ===
python-sshoot (1.4.1-7) unstable; urgency=medium

  * Update watch file: Fix regular expressions.
  * Fix depend on python3-pkg-resources.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Feb 2019 15:20:20 +0100

python-sshoot (1.4.1-6) unstable; urgency=medium

  * Fix pass buildsystem to overridden rules.
  * Update copyright info: Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Feb 2019 22:13:46 +0100

python-sshoot (1.4.1-5) unstable; urgency=medium

  * Fix and improve autopkgtest.
  * Update watch file:
    + Rewrite usage comment.
    + Simplify regular expressions.
  * Fix description in generated manpage.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Feb 2019 21:50:53 +0100

python-sshoot (1.4.1-4) unstable; urgency=medium

  * Check generated bash-completion script.
    Build-depend on shellcheck.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jan 2019 13:11:35 +0100

python-sshoot (1.4.1-3) unstable; urgency=medium

  * Simplify rules:
    + Use debhelper hint file for cleanup.
    + Generalize manpage generation.
  * Generate bash-completion script during build.
  * Declare compliance with Debian Policy 4.3.0.
  * Set Rules-Requires-Root: no.
  * Add autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jan 2019 12:26:56 +0100

python-sshoot (1.4.1-2) unstable; urgency=medium

  * Add patch 1001 to avoid expanding $HOME variable in help output,
    for reproducibly generating manpage.
    Closes: Bug#917101. Thanks to Chris Lamb.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Dec 2018 19:26:13 +0100

python-sshoot (1.4.1-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#916258. Thanks to David Seaward.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Dec 2018 17:28:27 +0100

=== debian/control ===
Source: python-sshoot
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 bash-completion,
 debhelper,
 dh-python,
 help2man,
 python3,
 python3-argcomplete,
 python3-babel,
 python3-fixtures <!nocheck>,
 python3-prettytable,
 python3-setuptools,
 python3-xdg,
 python3-yaml,
 shellcheck <!nocheck>,
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/python-sshoot.git
Vcs-Browser: https://salsa.debian.org/debian/python-sshoot
Homepage: https://github.com/albertodonato/sshoot
Rules-Requires-Root: no

Package: sshoot
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 sshuttle,
Description: manage multiple sshuttle VPN sessions
 Command-line interface to manage multiple sshuttle VPN sessions.
 .
 sshuttle creates a VPN connection from your machine
 to any remote server that you can connect to via ssh.
 .
 sshoot allows one to define multiple VPN sessions using sshuttle
 and start/stop them as needed.
 .
 It supports configuration options for most of sshuttle's features,
 providing flexible configuration for profiles.

## python-sshoot 1.4.2

=== debian/changelog ===
python-sshoot (1.4.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Unfuzz patch 1001.
  * Declare compliance with Debian Policy 4.4.1.
  * Build-depend on python3-pytest-mock.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 14:42:53 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
  python3-babel,
  python3-fixtures <!nocheck>,
  python3-prettytable,
+ python3-pytest-mock,
  python3-setuptools,
  python3-xdg,
  python3-yaml,
  shellcheck <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/python-sshoot.git
 Vcs-Browser: https://salsa.debian.org/debian/python-sshoot
 Homepage: https://github.com/albertodonato/sshoot

=== debian/rules ===
#!/usr/bin/make -f

DH_OPTIONS = -O--buildsystem=pybuild

destdir = debian/sshoot
cmd = sshoot
python3path = $(destdir)/usr/lib/$(shell py3versions -d)/dist-packages

# generate manpage with help2man from --help option of python script
_mkman = PYTHONPATH=$(python3path) \
 help2man $(if $3,--name "$(strip $3)") --no-info --output $2 $1 \
 || { PYTHONPATH=$(python3path) $1 --help; false; }

# * generate bash-completion script
override_dh_auto_build:
	dh_auto_build
	register-python-argcomplete3 --shell bash $(cmd) \
		> debian/bash-completion

# check shell script
override_dh_auto_test:
	dh_auto_test
	shellcheck --shell bash -e SC2128,SC2181,SC2207 \
		debian/bash-completion

# * generate manpage
override_dh_auto_install:
	dh_auto_install
	$(call _mkman, $(destdir)/usr/bin/$(cmd), debian/$(cmd).1, \
		manage multiple sshuttle VPN sessions)
	find $(destdir)/usr/lib -name '*.pyc' -delete
	find $(destdir)/usr/lib -type d -empty -delete

%:
	dh $@ --with python3,bash-completion $(DH_OPTIONS:-O%=%)

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/albertodonato/sshoot/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-sshoot 1.6.0

=== debian/changelog ===
python-sshoot (1.6.0-2) unstable; urgency=medium

  * QA upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083711)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 16:43:15 +0100

python-sshoot (1.6.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.6.0 (Closes: #1074523)
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Refresh patches
  * Vendor ``toolrack.script.Script`` as a patch,
    no need to ITP yet another garbage 'util' library.

  [ Boyuan Yang ]
  * New upstream version 1.5.1
  * Bump Standards-Version to 4.6.0.
  * debian/control: Bump debhelper compat to v13.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 18:50:30 +0200

python-sshoot (1.4.2-3) unstable; urgency=medium

  * QA upload.
  * Switch to register-python-argcomplete.  (Closes: #1013601)
  * Add upstream metadata.
  * Add proper GPL-3+ license paragraph.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Apr 2024 14:24:08 +0200

python-sshoot (1.4.2-2) unstable; urgency=medium

  * orphaning package
  * relax shellcheck test;
    closes: bug#997785, thanks to Lucas Nussbaum
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * simplify source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Nov 2021 12:23:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,34 @@
 Source: python-sshoot
 Section: python
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  bash-completion,
- debhelper,
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  help2man,
+ pybuild-plugin-pyproject,
  python3,
  python3-argcomplete,
  python3-babel,
  python3-fixtures <!nocheck>,
  python3-prettytable,
+ python3-pytest,
  python3-pytest-mock,
  python3-setuptools,
  python3-xdg,
  python3-yaml,
  shellcheck <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/python-sshoot.git
 Vcs-Browser: https://salsa.debian.org/debian/python-sshoot
 Homepage: https://github.com/albertodonato/sshoot
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: sshoot
 Architecture: all
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,13 @@
 # * generate bash-completion script
 override_dh_auto_build:
 	dh_auto_build
-	register-python-argcomplete3 --shell bash $(cmd) \
+	register-python-argcomplete --shell bash $(cmd) \
 		> debian/bash-completion
 
 # check shell script
 override_dh_auto_test:
 	dh_auto_test
-	shellcheck --shell bash -e SC2128,SC2181,SC2207 \
+	shellcheck --shell bash -e SC2128,SC2181,SC2207,SC2155,SC2086,SC2154 \
 		debian/bash-completion
 
 # * generate manpage
@@ -32,4 +32,4 @@
 	find $(destdir)/usr/lib -type d -empty -delete
 
 %:
-	dh $@ --with python3,bash-completion $(DH_OPTIONS:-O%=%)
+	dh $@ --with bash-completion $(DH_OPTIONS:-O%=%)

=== debian/tests/control ===
Test-Command: prove debian/tests/*.t
Depends:
 libtest-command-simple-perl,
 perl,
 @,
